![logo](./assets/logo_partial.png)

---

# Info

**NOTICE: RENAME THE HUD FOLDER TO `insomniahud` (All lower case) OR ELSE IT WILL *NOT* WORK!!!**

**YOUR `custom/` FOLDER SHOULD LOOK LIKE THIS:**
```
custom/
├── ...
├── insomniahud/
│   ├── ...
│   ├── info.vdf
│   ├── README.MD
│   └── ...
├── readme.txt
└── ...
```

insomniaHUD is a work-in-progress HUD designed for long play sessions. It is still in very early development, so many elements will be broken or completely unchanged.

---

## Supported Resolutions

|Resolution|Supported|Comments|
|:-:|:-:|:--|
|16:9|🟢|Works flawlessly with a vertical resolution of **1080p** or above. There is mild visual jank on **720p** and below, but is still completely usable and functional.|
|16:10 / 8:5|🟢|Works flawlessly with a vertical resolution of **1080p** or above. There is mild visual jank on **720p** and below, but is still completely usable and functional.|
|21:9 (Ultrawide)|🟢|Works flawlessly with a vertical resolution of **1080p** or above. There is mild visual jank on **720p** and below, but is still completely usable and functional.|
|4:3|🟡|Works as long as the aspect ratio is *actually* **4:3**. Some **4:3** resolutions listed in the options menu are not actually **4:3**. Some elements may appear uglier, but is still fully usable and functional.|
|5:4|🔴|Not supported, and *probably* doesn't work.|

---

## Supported Gamemodes

|Gamemode|Supported|Comments|
|:-:|:-:|:--|
|Attack/Defend|🟢|Fully functional and customized. Includes Medieval and Snowplow.|
|Control Points|🟢|Fully functional and customized.|
|Territorial Control|🟢|Fully functional and customized.|
|KOTH|🟢|Fully functional and customized.|
|CTF|🟢|Fully functional and customized, Includes Special Delivery and Mannpower.|
|Payload|🟢|Fully functional and customized.|
|Payload Race|🟢|Fully functional and customized.|
|PASS Time|🟡|Fully functional, but is unmodified as of right now.|
|Mann Vs. Machine|🟡|Fully functional, but is unmodified as of right now.|

---

## Customization

### Through the In-Game menu
In the main menu, there is a button labeled `CUSTOMIZE HUD`. This will enable Customization mode. The options are self explanitory. As of right now you can only edit the colors, crosshairs, hitmarkers, and scoreboard, but more options will be added very soon.

---

## Screenshots

### Main Menu (Animated)
![main_menu](./assets/screenshots/main_menu.webp)
### Main Menu (In-Game) (Animated)
![main_menu_ig](./assets/screenshots/main_menu_ingame.webp)
### Customization Menu (Animated)
![customization_menu](./assets/screenshots/customization_menu.webp)
### Items Menu
![items](./assets/screenshots/items_menu.webp)
### Backpack
![backpack](./assets/screenshots/backpack.webp)
### Class Loadout
![class_loadout](./assets/screenshots/class_loadout.webp)
### Team Menu
![team_menu](./assets/screenshots/team_menu.webp)
### Class Menu
![class_menu](./assets/screenshots/class_menu.webp)
### Attack/Defend
![attack_defend](./assets/screenshots/attack_defend.webp)
### Control Points
![control_points](./assets/screenshots/control_points.webp)
### KOTH
![koth](./assets/screenshots/koth.webp)
### CTF
![ctf](./assets/screenshots/ctf.webp)
### Payload
![payload](./assets/screenshots/payload.webp)
